1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18  emulate sh
19  NULLCMD=:
20  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21  # is contrary to our usage.  Disable this feature.
22  alias -g '${1+"$@"}'='"$@"'
23  setopt NO_GLOB_SUBST
24else
25  case `(set -o) 2>/dev/null` in
26  *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44  echo "#! /bin/sh" >conf$$.sh
45  echo  "exit 0"   >>conf$$.sh
46  chmod +x conf$$.sh
47  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48    PATH_SEPARATOR=';'
49  else
50    PATH_SEPARATOR=:
51  fi
52  rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57  as_unset=unset
58else
59  as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order.  Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" ""	$as_nl"
71
72# Find who we are.  Look in the path if we contain no directory separator.
73case $0 in
74  *[\\/]* ) as_myself=$0 ;;
75  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78  IFS=$as_save_IFS
79  test -z "$as_dir" && as_dir=.
80  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84     ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89  as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93  { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108  LC_TELEPHONE LC_TIME
109do
110  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111    eval $as_var=C; export $as_var
112  else
113    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114  fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119   test "X`expr 00001 : '.*\(...\)'`" = X001; then
120  as_expr=expr
121else
122  as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126  as_basename=basename
127else
128  as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135	 X"$0" : 'X\(//\)$' \| \
136	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138    sed '/^.*\/\([^/][^/]*\)\/*$/{
139	    s//\1/
140	    q
141	  }
142	  /^X\/\(\/\/\)$/{
143	    s//\1/
144	    q
145	  }
146	  /^X\/\(\/\).*/{
147	    s//\1/
148	    q
149	  }
150	  s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157  as_lineno_1=$LINENO
158  as_lineno_2=$LINENO
159  test "x$as_lineno_1" != "x$as_lineno_2" &&
160  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163  # uniformly replaced by the line number.  The first 'sed' inserts a
164  # line-number line after each line using $LINENO; the second 'sed'
165  # does the real work.  The second script uses 'N' to pair each
166  # line-number line with the line containing $LINENO, and appends
167  # trailing '-' during substitution so that $LINENO is not a special
168  # case at line end.
169  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170  # scripts with optimization help from Paolo Bonzini.  Blame Lee
171  # E. McMahon (1931-1989) for sed's syntax.  :-)
172  sed -n '
173    p
174    /[$]LINENO/=
175  ' <$as_myself |
176    sed '
177      s/[$]LINENO.*/&-/
178      t lineno
179      b
180      :lineno
181      N
182      :loop
183      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184      t loop
185      s/-\n.*//
186    ' >$as_me.lineno &&
187  chmod +x "$as_me.lineno" ||
188    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189   { (exit 1); exit 1; }; }
190
191  # Don't try to exec as it changes $[0], causing all sort of problems
192  # (the dirname of $[0] is not the place where we might find the
193  # original and so on.  Autoconf is especially sensitive to this).
194  . "./$as_me.lineno"
195  # Exit status is that of the last command.
196  exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201  as_dirname=dirname
202else
203  as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209  case `echo 'x\c'` in
210  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
211  *)   ECHO_C='\c';;
212  esac;;
213*)
214  ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218   test "X`expr 00001 : '.*\(...\)'`" = X001; then
219  as_expr=expr
220else
221  as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226  rm -f conf$$.dir/conf$$.file
227else
228  rm -f conf$$.dir
229  mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233  as_ln_s='ln -s'
234  # ... but there are two gotchas:
235  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237  # In both cases, we have to default to `cp -p'.
238  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239    as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241  as_ln_s=ln
242else
243  as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249  as_mkdir_p=:
250else
251  test -d ./-p && rmdir ./-p
252  as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256  as_test_x='test -x'
257else
258  if ls -dL / >/dev/null 2>&1; then
259    as_ls_L_option=L
260  else
261    as_ls_L_option=
262  fi
263  as_test_x='
264    eval sh -c '\''
265      if test -d "$1"; then
266        test -d "$1/.";
267      else
268	case $1 in
269        -*)set "./$1";;
270	esac;
271	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272	???[sx]*):;;*)false;;esac;fi
273    '\'' sh
274  '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by tgif $as_me 4.2.5, which was
292generated by GNU Autoconf 2.61.  Invocation command line was
293
294  CONFIG_FILES    = $CONFIG_FILES
295  CONFIG_HEADERS  = $CONFIG_HEADERS
296  CONFIG_LINKS    = $CONFIG_LINKS
297  CONFIG_COMMANDS = $CONFIG_COMMANDS
298  $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile"
305config_headers=" config.h"
306config_commands=" depfiles"
307
308ac_cs_usage="\
309\`$as_me' instantiates files from templates according to the
310current configuration.
311
312Usage: $0 [OPTIONS] [FILE]...
313
314  -h, --help       print this help, then exit
315  -V, --version    print version number and configuration settings, then exit
316  -q, --quiet      do not print progress messages
317  -d, --debug      don't remove temporary files
318      --recheck    update $as_me by reconfiguring in the same conditions
319  --file=FILE[:TEMPLATE]
320		   instantiate the configuration file FILE
321  --header=FILE[:TEMPLATE]
322		   instantiate the configuration header FILE
323
324Configuration files:
325$config_files
326
327Configuration headers:
328$config_headers
329
330Configuration commands:
331$config_commands
332
333Report bugs to <bug-autoconf@gnu.org>."
334
335ac_cs_version="\
336tgif config.status 4.2.5
337configured by ./configure, generated by GNU Autoconf 2.61,
338  with options \"\"
339
340Copyright (C) 2006 Free Software Foundation, Inc.
341This config.status script is free software; the Free Software Foundation
342gives unlimited permission to copy, distribute and modify it."
343
344ac_pwd='/merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5'
345srcdir='.'
346INSTALL='/usr/bin/install -c'
347MKDIR_P='/bin/mkdir -p'
348# If no file are specified by the user, then we need to provide default
349# value.  By we need to know if files were specified by the user.
350ac_need_defaults=:
351while test $# != 0
352do
353  case $1 in
354  --*=*)
355    ac_option=`expr "X$1" : 'X\([^=]*\)='`
356    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
357    ac_shift=:
358    ;;
359  *)
360    ac_option=$1
361    ac_optarg=$2
362    ac_shift=shift
363    ;;
364  esac
365
366  case $ac_option in
367  # Handling of the options.
368  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
369    ac_cs_recheck=: ;;
370  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
371    echo "$ac_cs_version"; exit ;;
372  --debug | --debu | --deb | --de | --d | -d )
373    debug=: ;;
374  --file | --fil | --fi | --f )
375    $ac_shift
376    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
377    ac_need_defaults=false;;
378  --header | --heade | --head | --hea )
379    $ac_shift
380    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
381    ac_need_defaults=false;;
382  --he | --h)
383    # Conflict between --help and --header
384    { echo "$as_me: error: ambiguous option: $1
385Try \`$0 --help' for more information." >&2
386   { (exit 1); exit 1; }; };;
387  --help | --hel | -h )
388    echo "$ac_cs_usage"; exit ;;
389  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
390  | -silent | --silent | --silen | --sile | --sil | --si | --s)
391    ac_cs_silent=: ;;
392
393  # This is an error.
394  -*) { echo "$as_me: error: unrecognized option: $1
395Try \`$0 --help' for more information." >&2
396   { (exit 1); exit 1; }; } ;;
397
398  *) ac_config_targets="$ac_config_targets $1"
399     ac_need_defaults=false ;;
400
401  esac
402  shift
403done
404
405ac_configure_extra_args=
406
407if $ac_cs_silent; then
408  exec 6>/dev/null
409  ac_configure_extra_args="$ac_configure_extra_args --silent"
410fi
411
412if $ac_cs_recheck; then
413  echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
414  CONFIG_SHELL=/bin/sh
415  export CONFIG_SHELL
416  exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
417fi
418
419exec 5>>config.log
420{
421  echo
422  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
423## Running $as_me. ##
424_ASBOX
425  echo "$ac_log"
426} >&5
427
428#
429# INIT-COMMANDS
430#
431AMDEP_TRUE="" ac_aux_dir="."
432
433
434# Handling of arguments.
435for ac_config_target in $ac_config_targets
436do
437  case $ac_config_target in
438    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
439    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
440    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
441
442  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
443echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
444   { (exit 1); exit 1; }; };;
445  esac
446done
447
448
449# If the user did not use the arguments to specify the items to instantiate,
450# then the envvar interface is used.  Set only those that are not.
451# We use the long form for the default assignment because of an extremely
452# bizarre bug on SunOS 4.1.3.
453if $ac_need_defaults; then
454  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
455  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
456  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
457fi
458
459# Have a temporary directory for convenience.  Make it in the build tree
460# simply because there is no reason against having it here, and in addition,
461# creating and moving files from /tmp can sometimes cause problems.
462# Hook for its removal unless debugging.
463# Note that there is a small window in which the directory will not be cleaned:
464# after its creation but before its name has been assigned to `$tmp'.
465$debug ||
466{
467  tmp=
468  trap 'exit_status=$?
469  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
470' 0
471  trap '{ (exit 1); exit 1; }' 1 2 13 15
472}
473# Create a (secure) tmp directory for tmp files.
474
475{
476  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
477  test -n "$tmp" && test -d "$tmp"
478}  ||
479{
480  tmp=./conf$$-$RANDOM
481  (umask 077 && mkdir "$tmp")
482} ||
483{
484   echo "$me: cannot create a temporary directory in ." >&2
485   { (exit 1); exit 1; }
486}
487
488#
489# Set up the sed scripts for CONFIG_FILES section.
490#
491
492# No need to generate the scripts if there are no CONFIG_FILES.
493# This happens for instance when ./config.status config.h
494if test -n "$CONFIG_FILES"; then
495
496cat >"$tmp/subs-1.sed" <<\CEOF
497/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
498s,@SHELL@,|#_!!_#|/bin/sh,g
499s,@PATH_SEPARATOR@,|#_!!_#|:,g
500s,@PACKAGE_NAME@,|#_!!_#|tgif,g
501s,@PACKAGE_TARNAME@,|#_!!_#|tgif,g
502s,@PACKAGE_VERSION@,|#_!!_#|4.2.5,g
503s,@PACKAGE_STRING@,|#_!!_#|tgif 4.2.5,g
504s,@PACKAGE_BUGREPORT@,|#_!!_#|bill.cheng@|#_!!_#|acm.org,g
505s,@exec_prefix@,|#_!!_#|${prefix},g
506s,@prefix@,|#_!!_#|/usr/local,g
507s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
508s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
509s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
510s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
511s,@datarootdir@,|#_!!_#|${prefix}/share,g
512s,@datadir@,|#_!!_#|${datarootdir},g
513s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
514s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
515s,@localstatedir@,|#_!!_#|${prefix}/var,g
516s,@includedir@,|#_!!_#|${prefix}/include,g
517s,@oldincludedir@,|#_!!_#|/usr/include,g
518s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
519s,@infodir@,|#_!!_#|${datarootdir}/info,g
520s,@htmldir@,|#_!!_#|${docdir},g
521s,@dvidir@,|#_!!_#|${docdir},g
522s,@pdfdir@,|#_!!_#|${docdir},g
523s,@psdir@,|#_!!_#|${docdir},g
524s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
525s,@localedir@,|#_!!_#|${datarootdir}/locale,g
526s,@mandir@,|#_!!_#|${datarootdir}/man,g
527s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
528s,@ECHO_C@,|#_!!_#|,g
529s,@ECHO_N@,|#_!!_#|-n,g
530s,@ECHO_T@,|#_!!_#|,g
531s,@LIBS@,|#_!!_#|-lpthread -lz -lm -lidn -ldl -lnsl -lXt -lX11 ,g
532s,@build_alias@,|#_!!_#|,g
533s,@host_alias@,|#_!!_#|,g
534s,@target_alias@,|#_!!_#|,g
535s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
536s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
537s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
538s,@am__isrc@,|#_!!_#|,g
539s,@CYGPATH_W@,|#_!!_#|echo,g
540s,@PACKAGE@,|#_!!_#|tgif,g
541s,@VERSION@,|#_!!_#|4.2.5,g
542s,@ACLOCAL@,|#_!!_#|${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run aclocal-1.10,g
543s,@AUTOCONF@,|#_!!_#|${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run autoconf,g
544s,@AUTOMAKE@,|#_!!_#|${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run automake-1.10,g
545s,@AUTOHEADER@,|#_!!_#|${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run autoheader,g
546s,@MAKEINFO@,|#_!!_#|${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run makeinfo,g
547s,@install_sh@,|#_!!_#|$(SHELL) /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/install-sh,g
548s,@STRIP@,|#_!!_#|,g
549s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
550s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
551s,@AWK@,|#_!!_#|gawk,g
552s,@SET_MAKE@,|#_!!_#|,g
553s,@am__leading_dot@,|#_!!_#|.,g
554s,@AMTAR@,|#_!!_#|${SHELL} /merlot/home/william/cvs/bc-src/tgif/OLD/tgif-4.2.5/tgif-QPL-4.2.5/missing --run tar,g
555s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
556s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
557s,@CC@,|#_!!_#|gcc,g
558s,@CFLAGS@,|#_!!_#|-g -O2,g
559s,@LDFLAGS@,|#_!!_#|,g
560s,@CPPFLAGS@,|#_!!_#|,g
561s,@ac_ct_CC@,|#_!!_#|gcc,g
562s,@EXEEXT@,|#_!!_#|,g
563s,@OBJEXT@,|#_!!_#|o,g
564s,@DEPDIR@,|#_!!_#|.deps,g
565s,@am__include@,|#_!!_#|include,g
566s,@am__quote@,|#_!!_#|,g
567s,@AMDEP_TRUE@,|#_!!_#|,g
568s,@AMDEP_FALSE@,|#_!!_#|#,g
569s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
570s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
571s,@am__fastdepCC_TRUE@,|#_!!_#|,g
572s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
573s,@XMKMF@,|#_!!_#|,g
574s,@CPP@,|#_!!_#|gcc -E,g
575s,@GREP@,|#_!!_#|/bin/grep,g
576s,@EGREP@,|#_!!_#|/bin/grep -E,g
577s,@LIBOBJS@,|#_!!_#|,g
578s,@POW_LIB@,|#_!!_#|,g
579s,@LTLIBOBJS@,|#_!!_#|,g
580:end
581s/|#_!!_#|//g
582CEOF
583fi # test -n "$CONFIG_FILES"
584
585
586for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS
587do
588  case $ac_tag in
589  :[FHLC]) ac_mode=$ac_tag; continue;;
590  esac
591  case $ac_mode$ac_tag in
592  :[FHL]*:*);;
593  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
594echo "$as_me: error: Invalid tag $ac_tag." >&2;}
595   { (exit 1); exit 1; }; };;
596  :[FH]-) ac_tag=-:-;;
597  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
598  esac
599  ac_save_IFS=$IFS
600  IFS=:
601  set x $ac_tag
602  IFS=$ac_save_IFS
603  shift
604  ac_file=$1
605  shift
606
607  case $ac_mode in
608  :L) ac_source=$1;;
609  :[FH])
610    ac_file_inputs=
611    for ac_f
612    do
613      case $ac_f in
614      -) ac_f="$tmp/stdin";;
615      *) # Look for the file first in the build tree, then in the source tree
616	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
617	 # because $ac_f cannot contain `:'.
618	 test -f "$ac_f" ||
619	   case $ac_f in
620	   [\\/$]*) false;;
621	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
622	   esac ||
623	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
624echo "$as_me: error: cannot find input file: $ac_f" >&2;}
625   { (exit 1); exit 1; }; };;
626      esac
627      ac_file_inputs="$ac_file_inputs $ac_f"
628    done
629
630    # Let's still pretend it is `configure' which instantiates (i.e., don't
631    # use $as_me), people would be surprised to read:
632    #    /* config.h.  Generated by config.status.  */
633    configure_input="Generated from "`IFS=:
634	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
635    if test x"$ac_file" != x-; then
636      configure_input="$ac_file.  $configure_input"
637      { echo "$as_me:$LINENO: creating $ac_file" >&5
638echo "$as_me: creating $ac_file" >&6;}
639    fi
640
641    case $ac_tag in
642    *:-:* | *:-) cat >"$tmp/stdin";;
643    esac
644    ;;
645  esac
646
647  ac_dir=`$as_dirname -- "$ac_file" ||
648$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
649	 X"$ac_file" : 'X\(//\)[^/]' \| \
650	 X"$ac_file" : 'X\(//\)$' \| \
651	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
652echo X"$ac_file" |
653    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
654	    s//\1/
655	    q
656	  }
657	  /^X\(\/\/\)[^/].*/{
658	    s//\1/
659	    q
660	  }
661	  /^X\(\/\/\)$/{
662	    s//\1/
663	    q
664	  }
665	  /^X\(\/\).*/{
666	    s//\1/
667	    q
668	  }
669	  s/.*/./; q'`
670  { as_dir="$ac_dir"
671  case $as_dir in #(
672  -*) as_dir=./$as_dir;;
673  esac
674  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
675    as_dirs=
676    while :; do
677      case $as_dir in #(
678      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
679      *) as_qdir=$as_dir;;
680      esac
681      as_dirs="'$as_qdir' $as_dirs"
682      as_dir=`$as_dirname -- "$as_dir" ||
683$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
684	 X"$as_dir" : 'X\(//\)[^/]' \| \
685	 X"$as_dir" : 'X\(//\)$' \| \
686	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
687echo X"$as_dir" |
688    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
689	    s//\1/
690	    q
691	  }
692	  /^X\(\/\/\)[^/].*/{
693	    s//\1/
694	    q
695	  }
696	  /^X\(\/\/\)$/{
697	    s//\1/
698	    q
699	  }
700	  /^X\(\/\).*/{
701	    s//\1/
702	    q
703	  }
704	  s/.*/./; q'`
705      test -d "$as_dir" && break
706    done
707    test -z "$as_dirs" || eval "mkdir $as_dirs"
708  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
709echo "$as_me: error: cannot create directory $as_dir" >&2;}
710   { (exit 1); exit 1; }; }; }
711  ac_builddir=.
712
713case "$ac_dir" in
714.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
715*)
716  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
717  # A ".." for each directory in $ac_dir_suffix.
718  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
719  case $ac_top_builddir_sub in
720  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
721  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
722  esac ;;
723esac
724ac_abs_top_builddir=$ac_pwd
725ac_abs_builddir=$ac_pwd$ac_dir_suffix
726# for backward compatibility:
727ac_top_builddir=$ac_top_build_prefix
728
729case $srcdir in
730  .)  # We are building in place.
731    ac_srcdir=.
732    ac_top_srcdir=$ac_top_builddir_sub
733    ac_abs_top_srcdir=$ac_pwd ;;
734  [\\/]* | ?:[\\/]* )  # Absolute name.
735    ac_srcdir=$srcdir$ac_dir_suffix;
736    ac_top_srcdir=$srcdir
737    ac_abs_top_srcdir=$srcdir ;;
738  *) # Relative name.
739    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
740    ac_top_srcdir=$ac_top_build_prefix$srcdir
741    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
742esac
743ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
744
745
746  case $ac_mode in
747  :F)
748  #
749  # CONFIG_FILE
750  #
751
752  case $INSTALL in
753  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
754  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
755  esac
756  ac_MKDIR_P=$MKDIR_P
757  case $MKDIR_P in
758  [\\/$]* | ?:[\\/]* ) ;;
759  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
760  esac
761# If the template does not know about datarootdir, expand it.
762# FIXME: This hack should be removed a few years after 2.60.
763ac_datarootdir_hack=; ac_datarootdir_seen=
764
765case `sed -n '/datarootdir/ {
766  p
767  q
768}
769/@datadir@/p
770/@docdir@/p
771/@infodir@/p
772/@localedir@/p
773/@mandir@/p
774' $ac_file_inputs` in
775*datarootdir*) ac_datarootdir_seen=yes;;
776*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
777  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
778echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
779  ac_datarootdir_hack='
780  s&@datadir@&${datarootdir}&g
781  s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
782  s&@infodir@&${datarootdir}/info&g
783  s&@localedir@&${datarootdir}/locale&g
784  s&@mandir@&${datarootdir}/man&g
785    s&\${datarootdir}&${prefix}/share&g' ;;
786esac
787  sed "/^[	 ]*VPATH[	 ]*=/{
788s/:*\$(srcdir):*/:/
789s/:*\${srcdir}:*/:/
790s/:*@srcdir@:*/:/
791s/^\([^=]*=[	 ]*\):*/\1/
792s/:*$//
793s/^[^=]*=[	 ]*$//
794}
795
796:t
797/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
798s&@configure_input@&$configure_input&;t t
799s&@top_builddir@&$ac_top_builddir_sub&;t t
800s&@srcdir@&$ac_srcdir&;t t
801s&@abs_srcdir@&$ac_abs_srcdir&;t t
802s&@top_srcdir@&$ac_top_srcdir&;t t
803s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
804s&@builddir@&$ac_builddir&;t t
805s&@abs_builddir@&$ac_abs_builddir&;t t
806s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
807s&@INSTALL@&$ac_INSTALL&;t t
808s&@MKDIR_P@&$ac_MKDIR_P&;t t
809$ac_datarootdir_hack
810" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
811
812test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
813  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
814  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
815  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
816which seems to be undefined.  Please make sure it is defined." >&5
817echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
818which seems to be undefined.  Please make sure it is defined." >&2;}
819
820  rm -f "$tmp/stdin"
821  case $ac_file in
822  -) cat "$tmp/out"; rm -f "$tmp/out";;
823  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
824  esac
825 ;;
826  :H)
827  #
828  # CONFIG_HEADER
829  #
830    # First, check the format of the line:
831    cat >"$tmp/defines.sed" <<\CEOF
832/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
833/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
834b
835:def
836s/$/ /
837s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_NAME\)[	 (].*,\1define\2 "tgif" ,
838s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_TARNAME\)[	 (].*,\1define\2 "tgif" ,
839s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_VERSION\)[	 (].*,\1define\2 "4.2.5" ,
840s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_STRING\)[	 (].*,\1define\2 "tgif 4.2.5" ,
841s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE_BUGREPORT\)[	 (].*,\1define\2 "bill.cheng@acm.org" ,
842s,^\([	 #]*\)[^	 ]*\([	 ]*PACKAGE\)[	 (].*,\1define\2 "tgif" ,
843s,^\([	 #]*\)[^	 ]*\([	 ]*VERSION\)[	 (].*,\1define\2 "4.2.5" ,
844s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBX11\)[	 (].*,\1define\2 1 ,
845s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBXT\)[	 (].*,\1define\2 1 ,
846s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBNSL\)[	 (].*,\1define\2 1 ,
847s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBDL\)[	 (].*,\1define\2 1 ,
848s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBIDN\)[	 (].*,\1define\2 1 ,
849s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBM\)[	 (].*,\1define\2 1 ,
850s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBZ\)[	 (].*,\1define\2 1 ,
851s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBPTHREAD\)[	 (].*,\1define\2 1 ,
852s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_DIRENT_H\)[	 (].*,\1define\2 1 ,
853s,^\([	 #]*\)[^	 ]*\([	 ]*STDC_HEADERS\)[	 (].*,\1define\2 1 ,
854s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_WAIT_H\)[	 (].*,\1define\2 1 ,
855s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TYPES_H\)[	 (].*,\1define\2 1 ,
856s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_STAT_H\)[	 (].*,\1define\2 1 ,
857s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
858s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
859s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMORY_H\)[	 (].*,\1define\2 1 ,
860s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRINGS_H\)[	 (].*,\1define\2 1 ,
861s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_INTTYPES_H\)[	 (].*,\1define\2 1 ,
862s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
863s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
864s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_ARPA_INET_H\)[	 (].*,\1define\2 1 ,
865s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FCNTL_H\)[	 (].*,\1define\2 1 ,
866s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_LIBINTL_H\)[	 (].*,\1define\2 1 ,
867s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NETDB_H\)[	 (].*,\1define\2 1 ,
868s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_NETINET_IN_H\)[	 (].*,\1define\2 1 ,
869s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDINT_H\)[	 (].*,\1define\2 1 ,
870s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
871s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRING_H\)[	 (].*,\1define\2 1 ,
872s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_FILE_H\)[	 (].*,\1define\2 1 ,
873s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_IOCTL_H\)[	 (].*,\1define\2 1 ,
874s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_SOCKET_H\)[	 (].*,\1define\2 1 ,
875s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TIME_H\)[	 (].*,\1define\2 1 ,
876s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_TIMEB_H\)[	 (].*,\1define\2 1 ,
877s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_UNISTD_H\)[	 (].*,\1define\2 1 ,
878s,^\([	 #]*\)[^	 ]*\([	 ]*TIME_WITH_SYS_TIME\)[	 (].*,\1define\2 1 ,
879s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FORK\)[	 (].*,\1define\2 1 ,
880s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_VFORK\)[	 (].*,\1define\2 1 ,
881s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_WORKING_VFORK\)[	 (].*,\1define\2 1 ,
882s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_WORKING_FORK\)[	 (].*,\1define\2 1 ,
883s,^\([	 #]*\)[^	 ]*\([	 ]*LSTAT_FOLLOWS_SLASHED_SYMLINK\)[	 (].*,\1define\2 1 ,
884s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
885s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MALLOC\)[	 (].*,\1define\2 1 ,
886CEOF
887    sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
888    # First, check the format of the line:
889    cat >"$tmp/defines.sed" <<\CEOF
890/^[	 ]*#[	 ]*undef[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[	 ]*$/b def
891/^[	 ]*#[	 ]*define[	 ][	 ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[(	 ]/b def
892b
893:def
894s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STDLIB_H\)[	 (].*,\1define\2 1 ,
895s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_REALLOC\)[	 (].*,\1define\2 1 ,
896s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_SELECT_H\)[	 (].*,\1define\2 1 ,
897s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SYS_SOCKET_H\)[	 (].*,\1define\2 1 ,
898s,^\([	 #]*\)[^	 ]*\([	 ]*SELECT_TYPE_ARG1\)[	 (].*,\1define\2 int ,
899s,^\([	 #]*\)[^	 ]*\([	 ]*SELECT_TYPE_ARG234\)[	 (].*,\1define\2 (fd_set *) ,
900s,^\([	 #]*\)[^	 ]*\([	 ]*SELECT_TYPE_ARG5\)[	 (].*,\1define\2 (struct timeval *) ,
901s,^\([	 #]*\)[^	 ]*\([	 ]*RETSIGTYPE\)[	 (].*,\1define\2 void ,
902s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_FTIME\)[	 (].*,\1define\2 1 ,
903s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETCWD\)[	 (].*,\1define\2 1 ,
904s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETHOSTBYNAME\)[	 (].*,\1define\2 1 ,
905s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETHOSTNAME\)[	 (].*,\1define\2 1 ,
906s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_GETTIMEOFDAY\)[	 (].*,\1define\2 1 ,
907s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMMOVE\)[	 (].*,\1define\2 1 ,
908s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MEMSET\)[	 (].*,\1define\2 1 ,
909s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_MKDIR\)[	 (].*,\1define\2 1 ,
910s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_POW\)[	 (].*,\1define\2 1 ,
911s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_PUTENV\)[	 (].*,\1define\2 1 ,
912s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SELECT\)[	 (].*,\1define\2 1 ,
913s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SETLOCALE\)[	 (].*,\1define\2 1 ,
914s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SOCKET\)[	 (].*,\1define\2 1 ,
915s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_SQRT\)[	 (].*,\1define\2 1 ,
916s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRCHR\)[	 (].*,\1define\2 1 ,
917s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRPBRK\)[	 (].*,\1define\2 1 ,
918s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRRCHR\)[	 (].*,\1define\2 1 ,
919s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRSTR\)[	 (].*,\1define\2 1 ,
920s,^\([	 #]*\)[^	 ]*\([	 ]*HAVE_STRTOL\)[	 (].*,\1define\2 1 ,
921s/ $//
922s,^[	 #]*u.*,/* & */,
923CEOF
924    sed -f "$tmp/defines.sed" "$tmp/out1" >"$tmp/out2"
925ac_result="$tmp/out2"
926  if test x"$ac_file" != x-; then
927    echo "/* $configure_input  */" >"$tmp/config.h"
928    cat "$ac_result" >>"$tmp/config.h"
929    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
930      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
931echo "$as_me: $ac_file is unchanged" >&6;}
932    else
933      rm -f $ac_file
934      mv "$tmp/config.h" $ac_file
935    fi
936  else
937    echo "/* $configure_input  */"
938    cat "$ac_result"
939  fi
940  rm -f "$tmp/out12"
941# Compute $ac_file's index in $config_headers.
942_am_stamp_count=1
943for _am_header in $config_headers :; do
944  case $_am_header in
945    $ac_file | $ac_file:* )
946      break ;;
947    * )
948      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
949  esac
950done
951echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
952$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
953	 X$ac_file : 'X\(//\)[^/]' \| \
954	 X$ac_file : 'X\(//\)$' \| \
955	 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
956echo X$ac_file |
957    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
958	    s//\1/
959	    q
960	  }
961	  /^X\(\/\/\)[^/].*/{
962	    s//\1/
963	    q
964	  }
965	  /^X\(\/\/\)$/{
966	    s//\1/
967	    q
968	  }
969	  /^X\(\/\).*/{
970	    s//\1/
971	    q
972	  }
973	  s/.*/./; q'`/stamp-h$_am_stamp_count
974 ;;
975
976  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
977echo "$as_me: executing $ac_file commands" >&6;}
978 ;;
979  esac
980
981
982  case $ac_file$ac_mode in
983    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
984  # Strip MF so we end up with the name of the file.
985  mf=`echo "$mf" | sed -e 's/:.*$//'`
986  # Check whether this is an Automake generated Makefile or not.
987  # We used to match only the files named `Makefile.in', but
988  # some people rename them; so instead we look at the file content.
989  # Grep'ing the first line is not enough: some people post-process
990  # each Makefile.in and add a new line on top of each file to say so.
991  # Grep'ing the whole file is not good either: AIX grep has a line
992  # limit of 2048, but all sed's we know have understand at least 4000.
993  if sed 10q "$mf" | grep '^#.*generated by automake' > /dev/null 2>&1; then
994    dirpart=`$as_dirname -- "$mf" ||
995$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
996	 X"$mf" : 'X\(//\)[^/]' \| \
997	 X"$mf" : 'X\(//\)$' \| \
998	 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
999echo X"$mf" |
1000    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1001	    s//\1/
1002	    q
1003	  }
1004	  /^X\(\/\/\)[^/].*/{
1005	    s//\1/
1006	    q
1007	  }
1008	  /^X\(\/\/\)$/{
1009	    s//\1/
1010	    q
1011	  }
1012	  /^X\(\/\).*/{
1013	    s//\1/
1014	    q
1015	  }
1016	  s/.*/./; q'`
1017  else
1018    continue
1019  fi
1020  # Extract the definition of DEPDIR, am__include, and am__quote
1021  # from the Makefile without running `make'.
1022  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1023  test -z "$DEPDIR" && continue
1024  am__include=`sed -n 's/^am__include = //p' < "$mf"`
1025  test -z "am__include" && continue
1026  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1027  # When using ansi2knr, U may be empty or an underscore; expand it
1028  U=`sed -n 's/^U = //p' < "$mf"`
1029  # Find all dependency output files, they are included files with
1030  # $(DEPDIR) in their names.  We invoke sed twice because it is the
1031  # simplest approach to changing $(DEPDIR) to its actual value in the
1032  # expansion.
1033  for file in `sed -n "
1034    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1035       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1036    # Make sure the directory exists.
1037    test -f "$dirpart/$file" && continue
1038    fdir=`$as_dirname -- "$file" ||
1039$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1040	 X"$file" : 'X\(//\)[^/]' \| \
1041	 X"$file" : 'X\(//\)$' \| \
1042	 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1043echo X"$file" |
1044    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1045	    s//\1/
1046	    q
1047	  }
1048	  /^X\(\/\/\)[^/].*/{
1049	    s//\1/
1050	    q
1051	  }
1052	  /^X\(\/\/\)$/{
1053	    s//\1/
1054	    q
1055	  }
1056	  /^X\(\/\).*/{
1057	    s//\1/
1058	    q
1059	  }
1060	  s/.*/./; q'`
1061    { as_dir=$dirpart/$fdir
1062  case $as_dir in #(
1063  -*) as_dir=./$as_dir;;
1064  esac
1065  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1066    as_dirs=
1067    while :; do
1068      case $as_dir in #(
1069      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1070      *) as_qdir=$as_dir;;
1071      esac
1072      as_dirs="'$as_qdir' $as_dirs"
1073      as_dir=`$as_dirname -- "$as_dir" ||
1074$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1075	 X"$as_dir" : 'X\(//\)[^/]' \| \
1076	 X"$as_dir" : 'X\(//\)$' \| \
1077	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1078echo X"$as_dir" |
1079    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1080	    s//\1/
1081	    q
1082	  }
1083	  /^X\(\/\/\)[^/].*/{
1084	    s//\1/
1085	    q
1086	  }
1087	  /^X\(\/\/\)$/{
1088	    s//\1/
1089	    q
1090	  }
1091	  /^X\(\/\).*/{
1092	    s//\1/
1093	    q
1094	  }
1095	  s/.*/./; q'`
1096      test -d "$as_dir" && break
1097    done
1098    test -z "$as_dirs" || eval "mkdir $as_dirs"
1099  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1100echo "$as_me: error: cannot create directory $as_dir" >&2;}
1101   { (exit 1); exit 1; }; }; }
1102    # echo "creating $dirpart/$file"
1103    echo '# dummy' > "$dirpart/$file"
1104  done
1105done
1106 ;;
1107
1108  esac
1109done # for ac_tag
1110
1111
1112{ (exit 0); exit 0; }
1113